Subject: Re: Problems building "emacs" under NetBSD 2.0
To: Brett Lymn <>
From: Rick Kelly <>
List: tech-pkg
Date: 12/31/2004 12:59:38
Brett Lymn said:

>This may be totally unrelated but I had a similar sort of problem with gcc3
>on a sparc system using Solaris, dump would bus error.  It turned out to be
>a problem with the gcc crt0, somehow the destructor list had a NULL on it
>which caused the bus error just when temacs was exiting.  Can you run gdb
>on temacs with the dump command line and see if it faults in the dtor? if
>it does I have a hack that will stop the bus error.

Which version of gcc? I can build 21.3 on Solaris 8 with gcc 3.4.2 without a
problem. It also builds on Slackware Linux with gcc 3.3.4.

I wonder how much of pkgsrc has patches that make up for bugs in gcc 3.3.3.
Rick Kelly